﻿@model IEnumerable<SIGAJA.Models.Usuario>

@{
    ViewData["Title"] = "Index new";
}

<h1>Index</h1>

<p>
    <a asp-action="Create" class="btn btn-success">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Dni)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Nombre)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ApellidoPaterno)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ApellidoMaterno)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FechaNacimiento)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Sexo)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Dni)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Nombre)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ApellidoPaterno)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ApellidoMaterno)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FechaNacimiento)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Sexo)
            </td>
            <td>
                <a asp-action="Edit" class="btn btn-warning" asp-route-id="@item.Id">Edit</a> |
                    <a asp-action="Details" class="btn btn-primary" asp-route-id="@item.Id">Details</a> |
                    <a asp-action="Delete" class="btn btn-danger" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
